Subject: Re: [ietf-smtp] FWD: [Technical Errata Reported] RFC5321 (5414)

From: Ned Freed <[email-masked]>
Date: Sun, 01 Jul 2018 05:00:31 -0700 (PDT)

> --On Saturday, June 30, 2018 13:34 -0700 Ned Freed
> <[email-masked]> wrote:

> >> I suspect the population size using this "feature" of SMTP is
> >> small and if it's considered an undue burden then there might
> >> be an argument for cutting them off.
> >
> > Maybe, maybe not. I'm not really comfortable with making
> > assumptions about usage based on the experiences of those who
> > happen to particpate in the IETF.
> >
> >> But it would break stuff known to work and be in use now.
> >
> > Exactly.

> Again, I think there are two questions here.   The first is
> whether this should be accepted as a erratum.  I think the
> answer to that is fairly clearly "no" (and becoming more clear).
> Even if there weren't strong feelings that the current syntax
> was a deliberate decision, declaring it an error in 5321 would
> break the consistency between 5321 and 5322.

Yup. As I said before, my main concern is that things are in sync. Quality
issues aside, specifications not in sync lead to the sort of support calls
about "correct" behavior that end up getting product development involved, and
I'd like to avoid that.

> The second is whether the rule should be changed for both specs.
> I don't know the answer to that, but the way to pose the
> question is with an I-D that reasons through the advantages and
> disadvantages of the change and makes a suggestion.   I share
> both of your concerns about about assumptions and things that
> are known to work, but don't feel a need to worry about it until
> and unless we see such an I-D.

I certainly would not object to such a specification, although I'd say
you'd probably want to gather up a few similar items before it would
be worthwhile.

> Personally, I think that there were cases where we should have
> synchronized 5321 and 5322 by relying on the narrower rules of
> the 821ff chain rather than those of the Header specs.  However,
> I was in the rough about that in DRUMS and there would be no way
> to simply revisit those decisions even if we wanted to (and I
> don't think anyone does).

To be fair, the obsolete syntac cleaned up a lot of stuff. In highsight this
probably should have been relegated to the obsolete side as well.

				Ned

---

From: John C Klensin <[email-masked]>
Date: Sun, 01 Jul 2018 08:15:18 -0400

--On Sunday, July 1, 2018 05:00 -0700 Ned Freed
<[email-masked]> wrote:

>> the 821ff chain rather than those of the Header specs.
>> However, I was in the rough about that in DRUMS and there
>> would be no way to simply revisit those decisions even if we
>> wanted to (and I don't think anyone does).
> 
> To be fair, the obsolete syntac cleaned up a lot of stuff. In
> highsight this probably should have been relegated to the
> obsolete side as well.

Yep.

   john